//  Copyright (c) 2024 Huawei Technologies Co., Ltd.
//  openUBMC is licensed under Mulan PSL v2.
//  You can use this software according to the terms and conditions of the Mulan PSL v2.
//  You may obtain a copy of Mulan PSL v2 at:
//        #  http://license.coscl.org.cn/MulanPSL2
//  THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
//  EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
//  MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
//  See the Mulan PSL v2 for more details.
import { reqPath } from '@/api/reqPath';
import $http from '@/utils/http-service';
import { getStoreData } from '@/utils/composition';

// 获取在线用户数据
export function getOnlineUserData() {
  return new Promise((resolve, reject) => {
    $http
      .get(reqPath.onlineUser.sessions)
      .then((res: any) => {
        resolve(res.data);
      })
      .catch((err: any) => {
        reject(err);
      });
  });
}

// 注销在线用户
export function deleteOnlineUser(id: string) {
  const allowHttpDelete = getStoreData('loct', 'allowHttpDelete');
  return new Promise((resolve, reject) => {
    const request = allowHttpDelete
      ? $http.delete(`${reqPath.onlineUser.sessions}/${id}`)
      : $http.post(reqPath.onlineUser.sessions, { RequestMethod: 'DELETE', SessionId: id });
    request
      .then((res: any) => {
        resolve(res.data);
      })
      .catch((err: any) => {
        reject(err);
      });
  });
}
